{
  "name": "docs-gitlab-com",
  "packageManager": "yarn@4.6.0",
  "scripts": {
    "build": "vite build",
    "build-archive": "vite build --base=/$CI_COMMIT_REF_NAME/",
    "dev": "vite build --watch",
    "dev-archive": "vite build --base=/$CI_COMMIT_REF_NAME/ --watch",
    "eslint": "eslint --max-warnings 0",
    "markdownlint": "markdownlint-cli2 '**/*.md'",
    "prettier": "prettier --check '**/*.{js,vue,cjs}'",
    "stylelint": "stylelint 'themes/gitlab-docs/assets/css/*.css'",
    "test": "jest"
  },
  "dependencies": {
    "@elastic/behavioral-analytics-javascript-tracker": "^2.1.4",
    "@elastic/elasticsearch": "^8.17.0",
    "@elastic/search-ui": "^1.22.2",
    "@elastic/search-ui-analytics-plugin": "^1.22.2",
    "@elastic/search-ui-elasticsearch-connector": "^1.22.2",
    "@eslint/eslintrc": "^3.2.0",
    "@eslint/js": "^9.19.0",
    "@gitlab/fonts": "^1.3.0",
    "@gitlab/svgs": "3.122.0",
    "@gitlab/ui": "107.7.1",
    "compare-versions": "^6.1.1",
    "eslint-plugin-jest": "^28.11.0",
    "eslint-plugin-vue": "^9.31.0",
    "glob": "^11.0.1",
    "js-yaml": "^4.1.0",
    "lodash": "^4.17.21",
    "lodash.isequal": "^4.5.0",
    "mermaid": "10.7.0",
    "pagefind": "^1.3.0",
    "tocbot": "^4.33.0",
    "v-click-outside": "^3.2.0",
    "vh-sticky-table-header": "^1.8.2",
    "vue": "2.7.16"
  },
  "devDependencies": {
    "@babel/core": "^7.26.7",
    "@babel/preset-env": "^7.26.7",
    "@evilmartians/lefthook": "^1.10.10",
    "@gitlab/eslint-plugin": "^20.7.1",
    "@gitlab/stylelint-config": "^6.2.2",
    "@rollup/plugin-node-resolve": "^16.0.0",
    "@rollup/plugin-yaml": "^4.1.2",
    "@vitejs/plugin-vue2": "^2.3.1",
    "@vue/test-utils": "^1.3.6",
    "@vue/vue2-jest": "^29.2.6",
    "ajv": "^8.17.1",
    "ajv-cli": "^5.0.0",
    "ajv-formats": "^3.0.1",
    "autoprefixer": "^10.4.20",
    "babel-jest": "^29.7.0",
    "dompurify": "^3.2.4",
    "emoji-regex": "^10.4.0",
    "eslint": "9.19.0",
    "eslint-plugin-jest": "^28.11.0",
    "fast-xml-parser": "^4.5.1",
    "flush-promises": "^1.0.2",
    "jest": "^29.7.0",
    "jest-environment-jsdom": "^29.7.0",
    "jest-fail-on-console": "^3.3.1",
    "jsdom": "^26.0.0",
    "markdownlint-cli2": "^0.17.2",
    "pikaday": "^1.8.2",
    "postcss": "^8.5.1",
    "postcss-cli": "^11.0.0",
    "postcss-import": "^16.1.0",
    "prettier": "^3.4.2",
    "rollup-plugin-copy": "^3.5.0",
    "stylelint": "^16.14.1",
    "tailwindcss": "^3.4.16",
    "vite": "^5.1.8",
    "vue-template-compiler": "^2.7.16",
    "yaml-lint": "^1.7.0"
  },
  "peerDependencies": {
    "tailwindcss": "^3"
  },
  "type": "module",
  "overrides": {
    "fast-json-patch": "3.1.1"
  },
  "resolutions": {
    "resolve": "1.22.8"
  }
}
